Reklam

* E Posta Adresiniz:
* Kodu Girin:

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] [45] [50] [55] > 60 < [65] [70] [75] [80] [85] Sonraki Sayfa
İleti Yazar
14.12.2014 16:20
79671    
alumina

[70] Editör

Online Durumu

599 ileti
Insaat Muhendisi
Istanbul

tabiki yapabiliriz. Odemeyi siz mi yapacaksiniz?

06.02.2015 09:16
80330    
k005

[10] Üstad

Online Durumu

623 ileti
İnşaat Teknikeri
Düzce

Günaydın Dostlar,,


Pline ile alan dönüp ve bu alanı "Solid" taraması yapan bir lisp gerekiyor..

Alan dönüşünden son noktaya tıklandığında , Dönülen alan içini solid taraması yapsın. ve sonlansın.

Yardımcı arkadaşa şimdiden teşekkürler, herkese kolay gelsin.

06.02.2015 18:39
80337    
alumina

[70] Editör

Online Durumu

599 ileti
Insaat Muhendisi
Istanbul

Kod:

(defun c:ph (/ ls)
(defun *error* (er) (setq *error* nil)) (setvar "cmdecho" 0)
(setq pt (getpoint))
(while
(/= pt nil)
(setq ls (cons pt ls) pt (getpoint)))
(vl-cmdf "._pline")
(foreach ls1 ls
(vl-cmdf ls1))
(command "close"
         "._hatch" "solid" (entlast) "")
(princ))

06.02.2015 18:56
80338    
Travaci

[70] Editör

Online Durumu

2078 ileti
Teknik Ressam
Konstantinopol

Alumina o error trap ne için

06.02.2015 19:34
80339    
alumina

[70] Editör

Online Durumu

599 ileti
Insaat Muhendisi
Istanbul

komutu yarida keserse temiz bir cikis yapmasi icin

06.02.2015 20:10
80340    
Travaci

[70] Editör

Online Durumu

2078 ileti
Teknik Ressam
Konstantinopol

Eminmisin

06.02.2015 20:39
80342    
alumina

[70] Editör

Online Durumu

599 ileti
Insaat Muhendisi
Istanbul

cok kenarli bir poligon icin 3-4 tane nokta sectikten sonra vazgecip escape yaparsa ; error: Function cancelled iletisinin cikmamasi icin. Eminim


alumina (06.02.2015 23:35 GMT)

06.02.2015 23:26
80344    
raskoln

[10] Üstad

Online Durumu

243 ileti
uzman
istanbul

elimde 4-5 tane lisp var o lispleri bir userform üzerine yerleştirip tek program haline getirebilmemiz mümkünmüdür.nasıl yapabilirim

07.02.2015 09:07
80349    
k005

[10] Üstad

Online Durumu

623 ileti
İnşaat Teknikeri
Düzce

alumina


AutoCAD LT olduğu için Lispi deneyemedim. Ama Büyük olasılıkla çalışır sanıyorum. Hocam çok teşekkür ediyorum,,. Mesajı Tekrar Güncellerim. Saygılar.

07.02.2015 10:06
80351    
alumina

[70] Editör

Online Durumu

599 ileti
Insaat Muhendisi
Istanbul

Calisir saniyorum ne demek ya. ask olsun

07.02.2015 10:43
80352    
k005

[10] Üstad

Online Durumu

623 ileti
İnşaat Teknikeri
Düzce

Alıntı
alumina :
Calisir saniyorum ne demek ya. ask olsun



07.02.2015 10:51
80353    
raskoln

[10] Üstad

Online Durumu

243 ileti
uzman
istanbul

Alıntı
raskoln :
elimde 4-5 tane lisp var o lispleri bir userform üzerine yerleştirip tek program haline getirebilmemiz mümkünmüdür.nasıl yapabilirim

07.02.2015 12:17
80355    
ehya

[90] Yönetici

Online Durumu

3181 ileti
Teknik Ressam
Ankara

mümkün değil raskoln...

07.02.2015 14:28
80357    
raskoln

[10] Üstad

Online Durumu

243 ileti
uzman
istanbul

NEDEN MÜMKÜN DEĞİLDİR AÇIKLAYABİLİRMİSİNİZ.

07.02.2015 15:26
80358    
ehya

[90] Yönetici

Online Durumu

3181 ileti
Teknik Ressam
Ankara

Hayır. Açıklamam..

07.02.2015 18:47
80360    
raskoln

[10] Üstad

Online Durumu

243 ileti
uzman
istanbul

neden açıklayamazsın

09.02.2015 14:42
80386    
volkan_25

[2] Girişimci

Online Durumu

23 ileti
tekniker
ANKARA

(defun c:tll ()
(command "_.LAYER" "_off" "ol1" "_ON" "ol1" "_Set" "ol1" "_Thaw" "ol1" "_ON" "ol1" "_Set" "ol1" "")
(setq olayer (getvar "clayer"))
(setvar "clayer" "ol1")
(COMMAND "_dimlinear" pause pause pause)(COMMAND "_dimcontinue"))
(setvar "clayer"olaler)
(princ)



böyle bir lisp yazdım ama acemi olduğum için current layeri tanıyıp ol1 layerini current yapıp tekrar eski layere dönmesini istedim ama olmadı yardım edebilirseniz sevinirim

09.02.2015 14:54
80387    
Travaci

[70] Editör

Online Durumu

2078 ileti
Teknik Ressam
Konstantinopol

volkan_25


Yaptığın şekilde olabiliterisini şu lipsle kıyaslayabilirsin;

09.02.2015 16:54
80389    
alumina

[70] Editör

Online Durumu

599 ileti
Insaat Muhendisi
Istanbul

Kod:

(defun c:tll (/)
(setq oldcly (getvar "clayer"))
(setvar "clayer" "a1")
(command "._dimlinear" pause pause pause)
(setvar "clayer" oldcly)
(princ))

09.02.2015 18:30
80391    
ehya

[90] Yönetici

Online Durumu

3181 ileti
Teknik Ressam
Ankara

Bu da benden olsun.
Farklı bir yoldan yazdım. Belki birisine lazım olur

Kod:

(defun c:tll ()
(setq cl (getvar "clayer"))
  (while (= (getvar "cmdactive") 0)
    (setvar "clayer" "a1")
    (command "dimlinear")
    )
  (setvar "clayer" cl)
  (princ))

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] [45] [50] [55] > 60 < [65] [70] [75] [80] [85] Sonraki Sayfa
Copyright © 2004-2018 | Tüm Hakları Saklıdır | 685 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam